Get Phone Number Details

GET Method

The Get Phone Number Details API allows you to fetch details about a WhatsApp Business phone number associated with a given WABA ID from your WA Account to get the details like status, name, if it is enabled for voice call or not and many more.

You can get both the WhatsApp business phone numbers associated with a Kaleyra V1 API WABA and with a Kaleyra V2 API WABA. You can check to which API version your WABA is associated with in the WhatsApp section of your Kaleyra account.

Prerequisites

  1. Know Your Customer (KYC) approval is mandatory. For more information on submission and approval, see Completing the Know Your Customer page.
  2. For prepaid customers, the credit balance should be sufficient to purchase numbers, make and receive calls, and monthly subscription charges. For more information on balance details, see Adding Credits page.
  3. You must have Proof of Business/Business Address and Proof of Identification (Individual/Company-Signatory) depending on the regulations of that particular region or country.
  4. Before you get started, Create an API Key. To view the API Key and the SID, see View API Key and SID.
    A prerequisite for using Kaleyra WhatsApp APIs is to have an active WhatsApp plan on Kaleyra platform.
  5. To set up a WhatsApp account on Kaleyra platform, see Manual Signup
    and Embedded Signup.
  6. An active WhatsApp for Business API plan that includes:
    • A WhatsApp verified and approved profile.
    • A WABA ID onboarded on Kaleyra WhatsApp API.

Base URL

https://<api_domain>/v2/<SID>

API Domain and Value

api_domainValue
IN podapi.in.kaleyra.io
SG Podapi.ap.kaleyra.io
EU Podapi.eu.kaleyra.io

API Request to Get Phone Number Details

To get the phone number details, use the https://<api_domain>/v2/<sid>/whatsapp/<waba_id>/number endpoint with the following request method:

Request Format

The following is the request format to get phone number details:

curl --location --request GET  'https://<api_domain>/v2/<sid>/whatsapp/<waba_id>/number?name=<name>&status=<status>&phone_number=<phone_number>&voice_status=<voice_status>&limit=<limit>&offset=<offset>' \
-H 'api-key: <api-key>' \
-H 'Content-Type: <content-type>' \

Sample Request Format

The following is the sample request format to get phone number details:

curl --location --request GET  'https://<api_domain>/v2/<sid>/whatsapp/<waba_id>/number?name=Samuel&status=APPROVED&phone_number=+9197654XXXXX&voice_status=Enabled&limit=10&offset=2' \
-H 'api-key: AXXXXXXXXXXXXXXXXXXXXXXXXX3' \
-H 'Content-Type: application/json' \

URL Parameters and Headers

The following is the list of parameters and headers to send the outgoing message request:

Parameter / HeadersData TypeDescriptionExampleMandatory?
sidStringAccount SID (Security Identifier).HXAP16XXXXXX97INYes
waba_idStringThe waba_id associated with the WhatsApp Business Account. For more information, see step 1 to step 3 of Adding a new WABA ID.766XXXXXXXXXXYes
api-keyStringAPI key generated from kaleyra.io account.AXXXXXXXXXXXXXXXXXXXXXXXXX3Yes
Content-TypeStringIndicates the format of the content the API will be processing.The only allowed value is application/json.Yes

The following is the list of attributes to be used in the payload to get phone number details in JSON format:

ParameterData TypeDescriptionExampleMandatory?
nameStringThe name associated with the WhatsApp Business Phone Number that you want to search.SamuelNo
statusstringStatus of the WhatsApp Business phone number you want to search. The accepted values are APPROVED, PENDING, and REJECTED.APPROVEDNo
phone_numberStringWhatsApp Business Phone Number for which details are requested. Numbers must contain country code.+9197654XXXXXNo
voice_statusStringDefines the voice status of the WhatsApp Business number to be returned. The accepted values are Enabled and Disabled.EnabledNo
limitIntegerLimit the number of responses in output.
Note: If the value is not provided, by default the value is set to 25.
10No
offsetIntegerIndicates the starting index in the list of fetched objects returned in the response.
Note: If the value is not provided, it defaults to zero.
2No

Sample Success Response

The following is the sample success response.

{
    "code": "WA200",
    "message": "Request Processed Successfully",
    "data": [
        {
            "phone_number": "+9197654XXXXX",
            "waba_id": "766XXXXXXXXXX",
            "status": "APPROVED",
            "name": "Samuel",
            "address": "EGL",
            "description": "Beauty Products",
            "about_info": "Cosmetics",
            "email": "[email protected]",
            "incoming_url": "www.google.com",
            "callback_profile_id": "e5a4f212-b0b0-4c77-9f04-7bXXXXXXd34f",
            "outgoing_callback_profile_id": "aasfc4b4-b700-4aec-be15-b6e7XXXXXXXf",
            "voice_enabled": "Enabled",
            "message_limit": "TIER_1K",
            "category": "AUTOMOTIVE",
            "call_hours": {
                "status": "ENABLED",
                "timezone_id": "Asia/Kolkata",
                "holiday_schedule": [
                    {
                        "date": "2025-12-08",
                        "end_time": "1730",
                        "start_time": "1230"
                    },
                    {
                        "date": "2025-12-12",
                        "end_time": "1840",
                        "start_time": "1430"
                    }
                ],
                "weekly_operating_hours": [
                    {
                        "open_time": "0900",
                        "close_time": "2000",
                        "day_of_week": "Monday"
                    }
                ]
            }
        }
    ],
    "error": {},
    "limit": 10,
    "total": 1
} 

Response Parameters

The following is the list of parameters shown in the API response:

ParameterData TypeDescriptionExample
codeStringThe response code for the request was sent.WA200
messageStringThe response message corresponds to the response code.Request Processed Successfully.
dataObjectArray of the objects returned by the API response with details of the WhatsApp Business Phone Number returned.See the specific table below for details.
errorArrayThe error list associated with the response.
limitIntegerThe number of templates shown in the GET response. The default value is 25.10
totalIntegerThe count of the phone numbers records in the response output.1

Data object Parameters

The following is the list of parameters for Data object in the API response.

ParameterData TypeDescriptionExampleMandatory?
phone numberStringThe WhatsApp Business Phone Number matches the query parameters.+9197654XXXXXYes
waba_idStringThe waba_id associated with the WhatsApp Business Account to which the WhatsApp Business Phone number belongs.766XXXXXXXXXXYes
statusstringStatus of the phone number. The accepted values are APPROVED, PENDING, and REJECTED.APPROVEDYes
nameStringWhatsApp Business Phone Number name.SamuelYes
addressStringThe address associated with the phone number.
Note: The maximum character limit is set to 256 characters.
EGLYes
descriptionStringThe description associated with the phone number.
Note: The maximum character limit is set to 256 characters.
Beauty ProductsYes
about_infoStringThe information associated with the phone number.
Note: The maximum character limit is set to 139 characters.
CosmeticsYes
emailStringValid email address linked to the phone number.[email protected]Yes
incoming_urlStringIncoming messages for V1 version numbers will be routed to this URL.www.google.comYes
callback_profile_idStringDefines the callback profile ID attached to the phone number.e5a4f212-b0b0-4c77-9f04-7bXXXXXXd34fYes
outgoing_callback_profile_idStringDefines the callback profile ID attached to the phone number for the outgoing message notification.aasfc4b4-b700-4aec-be15-b6e7XXXXXXXfYes
voice_enabledStringDefines whether the WhatsApp voice calling is enabled for the number. The accepted values are Enabled and Disabled.EnabledYes
message_limitStringDefines the message limit for the phone number in a day. Default limit is set to TIER_1Kfrom Meta.TIER_1KYes
categoryStringThe category of the business.
Note: The following are the valid values:
AUTOMOTIVE, BEAUTY_SPA_SALON, CLOTHING_APPAREL, EDUCATION, ENTERTAINMENT, EVENT_PLANNING_SERVICE, FINANCE_AND_BANKING, FOOD_GROCERY, PUBLIC_SERVICE, HOTEL_LODGING, MEDICAL_HEALTH, NON_PROFIT, PROFESSIONAL_SERVICES, SHOPPING_RETAIL, TRAVEL_TRANSPORTATION, RESTAURANT, OTHER.
AUTOMOTIVEYes
call_hoursJSONIndicates whether call hours are enabled and, if so, includes the time zone, holiday schedule, and weekly working hours.See the specific table for details.Yes

The following is the list of parameters for call_hours object in the API response.

ParameterData TypeDescriptionExampleMandatory?
statusStringStatus indicates whether the call hours are enabled or disabled.EnabledYes
timezone_idStringTime zone that the call hours are set in.Asia/KolkataYes
holiday_scheduleList of JSONHoliday schedule of the business for calling.See the specific table for details.Yes
weekly_operating_hoursList of JSONWeekly operating hours of the business for calling.See the specific table for details.Yes

The following is the list of parameters for holiday_schedule object in the API response.

ParameterData TypeDescriptionExampleMandatory?
dateStringDate of the business holiday in the YYYY-MM-DD format.2025-12-08Yes
end_timeStringEnd time of the business holiday in 24-hours format.1730Yes
start_timeStringStart time of the business holiday in 24-hours format.1230Yes

The following is the list of parameters for weekly_operating_hours object in the API response.

ParameterData TypeDescriptionExampleMandatory?
open_timeStringOpening time of the business in 24-hours format.0900Yes
close_timeStringClosing time of the business in 24-hours format.2000Yes
day_of_weekStringSpecifies the corresponding day of the week.MondayYes

Sample Failure Response

The following are the failure responses:

{
    "code": "RBC001",
    "message": "Incorrect SID or API key.",
    "data": [],
    "error": {
        "body": "Incorrect SID or API key.",
        "error": "record not found"
    }
}
{
    "code": "WA401",
    "message": "Waba_id is not present or does not belong to the account.",
    "data": {},
    "error": {
        "waba_id": "Waba_id is not present or does not belong to the account."
    }
}
{
    "code": "WA400",
    "message": "Refer to correct payload format",
    "data": {},
    "error": {
        "payload": "Incorrect payload format"
    }
}

{
    "code": "WA500",
    "message": "Please try again later",
    "data": {},
    "error": {
        "error": "Internal server error"
    }
}




© 2026 Kaleyra Inc. All rights reserved.
Trademarks, logos and service marks displayed on this site are registered and unregistered trademarks of Kaleyra Inc.